import React from 'react';
import './InComingMessage.scss';
import UiKitTheme from '../../../../../assets/UiKitTheme';
import { MessageEntity } from '../../../../../../Domain/entity/MessageEntity';
import { AIMessageWidget } from '../AIWidgets/AIMessageWidget';
import { AvatarContentIncomingUserProps } from './AvatarContentIncomingUser/AvatarContentIncomingUser';
import { UserEntity } from '../../../../../../Domain/entity/UserEntity';
export type GetUserNameFct = (props: {
    userId?: number;
    sender?: UserEntity;
}) => Promise<string | undefined>;
export declare function InComingMessage(props: {
    theme: UiKitTheme | undefined;
    senderNameFct: GetUserNameFct;
    message: MessageEntity;
    onStartLoader: () => void;
    onStopLoader: () => void;
    onErrorToast: (messageError: string) => void;
    currentUserId?: number;
    messagesToView: MessageEntity[];
    AITranslation?: AIMessageWidget;
    AIAnswerToMessage?: AIMessageWidget;
    userIconRenderer?: (props: AvatarContentIncomingUserProps) => React.ReactElement;
}): JSX.Element;
