import React from 'react';
import './MessagesView.scss';
import { UserEntity } from '../../../../../Domain/entity/UserEntity';
import UiKitTheme from '../../../../assets/UiKitTheme';
import { AIMessageWidget } from './AIWidgets/AIMessageWidget';
import { DialogsViewModel } from '../../../../Views/Dialogs/DialogViewModel';
import { FunctionTypeVoidToVoid } from '../../../../Views/Base/BaseViewModel';
import { AvatarContentIncomingUserProps } from './InComingMessage/AvatarContentIncomingUser/AvatarContentIncomingUser';
type HeaderDialogsMessagesProps = {
    AIRephrase?: AIMessageWidget;
    AITranslate?: AIMessageWidget;
    AIAssist?: AIMessageWidget;
    dialogsViewModel: DialogsViewModel;
    onDialogInformationHandler?: FunctionTypeVoidToVoid;
    maxWidthToResize?: string;
    theme?: UiKitTheme;
    headerContent?: React.ReactNode;
    subHeaderContent?: React.ReactNode;
    upHeaderContent?: React.ReactNode;
    rootStyles?: React.CSSProperties;
    messagesContainerStyles?: React.CSSProperties;
    userIconRenderer?: (props: AvatarContentIncomingUserProps) => React.ReactElement;
    getSenderNameFct?: (props: {
        sender?: UserEntity;
        userId?: number;
    }) => Promise<string | undefined>;
};
declare const MessagesView: React.FC<HeaderDialogsMessagesProps>;
export default MessagesView;
